import java.sql.*;

public class Jdbc {
  public static void main(String args[]){
    try {
      Statement stmt;
      ResultSet rs;


      // JDBC driver regisztralasa MySQL-hez.
      Class.forName("com.mysql.jdbc.Driver");

      // hatarozzuk meg az adatbazis elerhetoseget
      //String url = "jdbc:mysql://home.cab.u-szeged.hu:3306/test";
      //String url = "jdbc:mysql://solaris.inf.hu:3306/test";
      //String url = "jdbc:mysql://localhost:3306/test";
      String url = "jdbc:mysql://localhost:3306/pelda";

	

      // hozzuk letre a kapcsolatot
      // mas esetben a ket ures string jelentene a felhasznalonevet es a jelszot
      Connection con = DriverManager.getConnection(url, "root", "");

      // irassuk ki a kapcsolodasi adatokat
      System.out.println("URL: " + url);
      System.out.println("Connection: " + con);

      // hozzuk letre a Statement objektumot
      stmt = con.createStatement();

      stmt = con.createStatement(ResultSet.TYPE_SCROLL_INSENSITIVE, ResultSet.CONCUR_READ_ONLY);

      // hajtsunk vegre egy egyszeru lekerdezest
      rs = stmt.executeQuery("SELECT * from varosok");

      // irassuk ki az eredmenyeket
      System.out.println("Display all results:");
      while(rs.next()){
        String id = rs.getString("id");
        String vnev = rs.getString("varosnev");
        String megye = rs.getString("megye");
        System.out.println(id + " | " + vnev + " | "+ megye);
      }

      // zarjuk a kapcsolatot
      con.close();

    // hiba eseten irassuk ki a stack-et
    }catch( Exception e ) {
      e.printStackTrace();
    }
  }
}
